Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.driver.xds
Class ElementImpl

    java.lang.Object
      com.novell.nds.dirxml.driver.xds.ElementImpl

All Implemented Interfaces:
  XDSElement

Direct Known Subclasses:
  DescriptionElement, ExceptionElement, NonXDSElement, XDSAddAssociationElement, XDSAddAttrElement, XDSAddElement, XDSAddValueElement, XDSAllowAttrElement, XDSAllowClassElement, XDSAssociationElement, XDSAttrDefElement, XDSAttrElement, XDSAuthenticationInfoElement, XDSCheckObjectPasswordElement, XDSClassDefElement, XDSComponentElement, XDSContactElement, XDSDeleteElement, XDSDriverFilterElement, XDSDriverOptionsElement, XDSDriverStateElement, XDSInitParamsElement, XDSInstanceElement, XDSModifyAssociationElement, XDSModifyAttrElement, XDSModifyElement, XDSModifyPasswordElement, XDSMoveElement, XDSNewNameElement, XDSOldPasswordElement, XDSParentElement, XDSPasswordElement, XDSProductElement, XDSPublisherOptionsElement, XDSPublisherStateElement, XDSQueryElement, XDSQueryTokenElement, XDSReadAttrElement, XDSReadParentElement, XDSRemoveAllValuesElement, XDSRemoveAssociationElement, XDSRemoveValueElement, XDSRenameElement, XDSSchemaDefElement, XDSSearchAttrElement, XDSSearchClassElement, XDSServerElement, XDSSourceElement, XDSStatusElement, XDSSubscriberOptionsElement, XDSSubscriberStateElement, XDSUserElement, XDSValueElement

public class ElementImpl
extends Object
implements XDSElement

Superclass implementation of all elements.

Method Summary
`String` | `attributeValueGet(String attrName)` Returns the value of attribute `someAttrName`.
`String` | `attributeValueGet(String someNamespaceName, String someAttrName)` Returns the value of attribute `someAttrName` in namespace `someNamespaceName`.
`void` | `attributeValueSet(String name, String value)` Sets this element's `someAttrName` attribute to value `someValue`.
`List` | `childElements()` Returns this element's child elements.
`DocumentImpl` | `documentImpl()` Returns the backing DOM document.
`Document` | `domDocument()` Returns a reference for this element's DOM document.
`Element` | `domElement()` Returns a DOM reference for this element.
`String` | `localName()` Returns this element's unprefixed tag name.
`String` | `namespaceName()` Returns this element's namespace name.
`int` | `position()` Returns the position of this element relative to its parent where the first position is 1.
`String` | `tagName()` Returns this element's tag name, including namespace prefix.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### tagName

    public String tagName()

  Description copied from interface: `XDSElement`
  Returns this element's tag name, including namespace prefix.

  e.g. if this element's tag name were `xds:tag`, this method would return `xds:tag`

  Specified by:
    `tagName` in interface `XDSElement`
  Returns:
    will not return `null`

### domElement

    public Element domElement()

  Description copied from interface: `XDSElement`
  Returns a DOM reference for this element.

  Specified by:
    `domElement` in interface `XDSElement`
  Returns:
    will not return `null`

### domDocument

    public Document domDocument()

  Description copied from interface: `XDSElement`
  Returns a reference for this element's DOM document.

  Specified by:
    `domDocument` in interface `XDSElement`
  Returns:
    will not return `null`

### position

    public int position()

  Description copied from interface: `XDSElement`
  Returns the position of this element relative to its parent where the first position is 1.

  Specified by:
    `position` in interface `XDSElement`
  Returns:
    this element's position

### documentImpl

    public DocumentImpl documentImpl()

  Returns the backing DOM document.

  Returns:
    will not return `null`

### attributeValueGet

    public String attributeValueGet(String attrName)

  Description copied from interface: `XDSElement`
  Returns the value of attribute `someAttrName`.

  Specified by:
    `attributeValueGet` in interface `XDSElement`
  Parameters:
    `attrName` - if `null`, returns `null`
  Returns:
    may be `null`

### attributeValueSet

    public void attributeValueSet(String name,
                                  String value)

  Description copied from interface: `XDSElement`
  Sets this element's `someAttrName` attribute to value `someValue`.

  Specified by:
    `attributeValueSet` in interface `XDSElement`
  Parameters:
    `name` - if `null`, no action is taken
    `value` - if `null`, no action is taken

### localName

    public String localName()

  Description copied from interface: `XDSElement`
  Returns this element's unprefixed tag name.

  e.g. if this element's tag name were `xds:tag`, this method would return `tag`

  Specified by:
    `localName` in interface `XDSElement`
  Returns:
    will not return `null`

### namespaceName

    public String namespaceName()

  Description copied from interface: `XDSElement`
  Returns this element's namespace name.

  e.g. if this element's tag name were `xds:tag`, and the namespace prefix `xds` resolved to `urn:dirxml:xds`, this method would return `urn:dirxml:xds`

  Specified by:
    `namespaceName` in interface `XDSElement`
  Returns:
    may return `null`

### attributeValueGet

    public String attributeValueGet(String someNamespaceName,
                                    String someAttrName)

  Description copied from interface: `XDSElement`
  Returns the value of attribute `someAttrName` in namespace `someNamespaceName`.

  Specified by:
    `attributeValueGet` in interface `XDSElement`
  Parameters:
    `someNamespaceName` - may be `null`
    `someAttrName` - if `null`, returns `null`
  Returns:
    may be `null`

### childElements

    public List childElements()

  Description copied from interface: `XDSElement`
  Returns this element's child elements.

  Invocation Context:
    READ

  Specified by:
    `childElements` in interface `XDSElement`
  Returns:
    `Collections.EMPTY_LIST` or a list of `XDSElement` and `NonXDSElement` objects; will not return `null`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD